Subject: Indonesian insects/info wanted!!!

From: Craig Burgess <[email-masked]>
Date: Tue, 25 Jun 1996 17:22:34 +1000

Does anybody have any information on species of insect especially
butterflies and beetles of the Scarab family living in Java, Lombok and Bali
in Indonesia??  I am looking for any information.  If you could help me out
I would be very grateful.  I live in Melbourne Australia so if anyone has
any questions for me I would be happy to answer them.

Craig Burgess <[email-masked]>

Ps.     If anyone has information about phasmids (stick insects) in
Indonesia on these islands that woud help aswell.
Craig Burgess
Tel:    03 9 591 0164
Fax:    03 9 592 4185
Email:  [email-masked]